// Register a template definition set named "default".
CKEDITOR.addTemplates( 'default',
{
	// The name of the subfolder that contains the preview images of the templates.
	imagesPath : CKEDITOR.getUrl( CKEDITOR.plugins.getPath( 'templates' ) + 'templates/images/' ),
 
	// Template definitions.
	templates :
		[
			{
				title: 'Full Page 1',
				html: '' 
				+ '<h1>Sample Header H1</h1>'
		        + "<p><img class='clsThumbnail clsThumbnailMedium' alt='Sample Image' src='/static/template/imgs/sample-image-light.png'><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href='#'>Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>"
		        + '<h2>Header Level 2</h2>'
		        + '<ol><li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>'
		        + '<li>Aliquam tincidunt mauris eu risus.</li></ol>'
		        + '<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>'
		        + '<h3>Header Level 3</h3>'
		        + '<ul><li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>'
		        + '<li>Aliquam tincidunt mauris eu risus.</li></ul>'
		        + '<pre><code>'
		        + 'header h1 a {' 
		        + 'display: bloc;' 
		        + 'width: 300px;' 
		        + 'height: 80px;' 
		        + '}'
		        + '</code></pre>'
		        + '<hr>'
		        + "<div class='clsColumnWrapper'>"
		        + "<div class='clsColumn1of2'>"
		        + "<p><img class='clsThumbnail clsThumbnailLarge' alt='Sample Image' src='/static/template/imgs/sample-image-light.png'>"
		        + "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam placerat augue ac leo iaculis faucibus. Vestibulum sed leo non dolor sollicitudin condimentum. Phasellus sit amet est ante, sed suscipit lectus. Vestibulum eget tellus dui, a commodo mi. Aenean facilisis elit et tellus vulputate aliquam. Mauris vel enim eu neque porta pellentesque. Nullam a justo sapien. Ut ut justo mi, eget sagittis eros. Nunc est leo, mattis in convallis a, elementum in lacus. Sed faucibus pharetra tortor vitae malesuada. Integer non nisi eget ligula ultrices rhoncus a sit amet est. Curabitur malesuada sem ut odio porta nec sollicitudin sem posuere. Ut vulputate viverra nulla." 
		        + "</p></div>"
		        + "<div class='clsColumn2of2'>"
		        + "<p><img class='clsThumbnail clsThumbnailLarge' alt='Sample Image' src='/static/template/imgs/sample-image-light.png'>"
		        + "In sed purus velit. Donec dignissim leo at est bibendum dictum. Ut dapibus auctor arcu non dictum. Nam tempor orci vitae ligula pretium pellentesque. Maecenas orci libero, interdum a cursus nec, sollicitudin eu magna. Mauris hendrerit luctus posuere. Etiam cursus semper porta. Morbi adipiscing pharetra sapien. Sed auctor, odio vitae pulvinar congue, mi ipsum aliquam quam, non accumsan orci enim a elit. Proin massa risus, viverra vitae elementum sit amet, aliquam non libero. Aliquam erat volutpat." 
		        + '</p>'
		        + '</div>'
		        + '</div>'
		       },
			
			{
			
		]
});